Dear all I'll try to compile ELDK-5.5 sources building without NEON and VFP feature. The ELDK-5.5 is compiled successfully. But a libc file is different architecture from the expected information. I've got results as following, but I don't understand libc-2.18.so ELF architecture infomation. What more should I check? sw01 /opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a/lib $ readelf -A ld-2.18.so Attribute Section: aeabi File Attributes Tag_CPU_name: "7-A" Tag_CPU_arch: v7 Tag_CPU_arch_profile: Application Tag_ARM_ISA_use: Yes Tag_THUMB_ISA_use: Thumb-2 Tag_ABI_PCS_wchar_t: 4 Tag_ABI_FP_rounding: Needed Tag_ABI_FP_denormal: Needed Tag_ABI_FP_exceptions: Needed Tag_ABI_FP_number_model: IEEE 754 Tag_ABI_align8_needed: Yes Tag_ABI_align8_preserved: Yes, except leaf SP Tag_ABI_enum_size: int Tag_ABI_optimization_goals: Aggressive Speed Tag_CPU_unaligned_access: v6 sw01 /opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a/lib $ readelf -A libm.so.6 Attribute Section: aeabi File Attributes Tag_CPU_name: "7-A" Tag_CPU_arch: v7 Tag_CPU_arch_profile: Application Tag_ARM_ISA_use: Yes Tag_THUMB_ISA_use: Thumb-2 Tag_ABI_PCS_wchar_t: 4 Tag_ABI_FP_rounding: Needed Tag_ABI_FP_denormal: Needed Tag_ABI_FP_exceptions: Needed Tag_ABI_FP_number_model: IEEE 754 Tag_ABI_align8_needed: Yes Tag_ABI_align8_preserved: Yes, except leaf SP Tag_ABI_enum_size: int Tag_CPU_unaligned_access: v6 sw01 /opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a/lib $
readelf -A libc-2.18.so Attribute Section: aeabi File Attributes Tag_CPU_name: "7-A" Tag_CPU_arch: v7 Tag_CPU_arch_profile: Application Tag_ARM_ISA_use: Yes Tag_THUMB_ISA_use: Thumb-2 Tag_VFP_arch: VFPv3 Tag_Advanced_SIMD_arch: NEONv1 Tag_ABI_PCS_wchar_t: 4 Tag_ABI_FP_rounding: Needed Tag_ABI_FP_denormal: Needed Tag_ABI_FP_exceptions: Needed Tag_ABI_FP_number_model: IEEE 754 Tag_ABI_align8_needed: Yes Tag_ABI_enum_size: int Tag_CPU_unaligned_access: v6 These are build configurations of ELDK-5.5 as following. # build/conf/bblayers.conf LCONF_VERSION = "6" BBPATH = "${TOPDIR}" BBFILES ?= "" BBLAYERS ?= " \ /home/davidlee/download/eldk_git/git/eldk/meta \ /home/davidlee/download/eldk_git/git/eldk/meta-yocto \ /home/davidlee/download/eldk_git/git/eldk/meta-yocto-bsp \ /home/davidlee/download/eldk_git/git/eldk/meta-eldk \ " BBLAYERS_NON_REMOVABLE ?= " \ /home/davidlee/download/eldk_git/git/eldk/meta \ /home/davidlee/download/eldk_git/git/eldk/meta-yocto \ " # conf/local.conf BB_NUMBER_THREADS = "8" PARALLEL_MAKE = "-j 8" MACHINE =
"generic-armv7a" DL_DIR = "/home/davidlee/download/eldk55_build/downloads" TMPDIR = "/opt/eldk-5.5/armv7a-softfloat" BASE_WORKDIR = "/home/davidlee/download/eldk55_build/build/work" DISTRO = "eldk" PACKAGE_CLASSES ?= "package_rpm" SDKMACHINE ?= "i686" EXTRA_IMAGE_FEATURES = "debug-tweaks" USER_CLASSES ?= "buildstats image-mklibs image-prelink add_machine_symlinks" PATCHRESOLVE = "noop" BB_DISKMON_DIRS = "\ STOPTASKS,${TMPDIR},1G,100K \ STOPTASKS,${DL_DIR},1G,100K \ STOPTASKS,${SSTATE_DIR},1G,100K \ ABORT,${TMPDIR},100M,1K \ ABORT,${DL_DIR},100M,1K \ ABORT,${SSTATE_DIR},100M,1K" CONF_VERSION = "1" # generic-armv7.conf sw01 ~/download/eldk_git $ cat git/eldk/meta-eldk/conf/machine/generic-armv7a.conf #@TYPE: Machine #@NAME: Generic armv7a machine #@DESCRIPTION: Machine configuration for armv7a based boards DEFAULTTUNE = "armv7a" TUNE_FEATURES_tune-armv7a = "armv7a" require conf/machine/include/arm/arch-armv7a.inc # variable needed for compilation MACHINE_FEATURES ?= "" PREFERRED_PROVIDER_virtual/kernel ?= "linux-eldk" PREFERRED_PROVIDER_virtual/xserver ?= "xserver-xf86-lite" KERNEL_IMAGETYPE = "uImage" KERNEL_EXTRA_ARGS = "LOADADDR=0x80008000" SERIAL_CONSOLE = "115200 console" sw01 ~/download/eldk_git $ # build $ IMAGES="core-image-lsb-sdk" ~/git/eldk/meta-eldk/tools/eldk-build.sh; # build log
Thu Feb 27 17:47:51 KST 2014
WARNING: Host distribution "CentOS-6.5" has
not been validated with this version of the build system; you may possibly experience unexpected failures. It is recommended that you use a tested distribution.
Parsing recipes...done.
Parsing of 882 .bb files complete (0 cached, 882 parsed). 1228 targets, 58 skipped, 0 masked, 0 errors.
NOTE: Resolving any missing task queue dependencies
Build Configuration:
BB_VERSION = "1.20.0"
BUILD_SYS = "i686-linux"
NATIVELSBSTRING = "CentOS-6.5"
TARGET_SYS = "arm-linux-gnueabi"
MACHINE = "generic-armv7a"
DISTRO = "eldk"
DISTRO_VERSION = "5.5"
TUNE_FEATURES = "armv7a"
TARGET_FPU = "soft"
meta
meta-yocto
meta-yocto-bsp
meta-eldk = "(detachedfromeldk-5.5):df9de1fcd37181c170c77427f9d1e2a5a00f58be"
NOTE: Preparing runqueue
NOTE: Executing SetScene Tasks
NOTE: Executing RunQueue Tasks
NOTE: Running task 1 of 6865 (ID: 19, /home/davidlee/download/eldk_git/git/eldk/meta/recipes-devtools/quilt/quilt-native_0.60.bb, do_fetch)
NOTE: Running task 2 of 6865 (ID: 587, virtual:native:/home/davidlee/download/eldk_git/git/eldk/meta/recipes-devtools/gnu-config/gnu-config_20120814.bb, do_fetch)
NOTE: Running task 3 of 6865 (ID: 4062, /home/davidlee/download/eldk_git/git/eldk/meta/recipes-devtools/m4/m4-native_1.4.16.bb, do_fetch)
NOTE: Running task 4 of 6865 (ID: 545, virtual:native:/home/davidlee/download/eldk_git/git/eldk/meta/recipes-devtools/autoconf/autoconf_2.69.bb, do_fetch)
NOTE: Running task 5 of 6865 (ID: 559, virtual:native:/home/davidlee/download/eldk_git/git/eldk/meta/recipes-devtools/automake/automake_1.12.6.bb, do_fetch)
NOTE: Running task 6 of 6865 (ID: 573, /home/davidlee/download/eldk_git/git/eldk/meta/recipes-devtools/libtool/libtool-native_2.4.2.bb, do_fetch)
...
...
|
|
| Note: adding Smart channel generic_armv7a (75)
|
|
| Note: adding Smart channel armv7a (65)
|
|
| Note: adding Smart channel all (10)
|
|
| Note: configuring RPM cross-install scriptlet_wrapper
|
| Updating cache... ######################################## [100%]
|
| Saving cache...
|
| Error: packagegroup-core-tools-testapps not found in the
base feeds (generic_armv7a armv7a-vfp armv7a armv6-vfp armv6 armv5e-vfp armv5e armv5-vfp armv5 armv4 arm noarch any all).
| WARNING: /home/davidlee/download/eldk55_build/build/work/generic_armv7a-linux-gnueabi/core-image-lsb-sdk/1.0-r0/temp/run.do_rootfs.7357:1 exit 1
from
| exit 1
| ERROR: Function failed: do_rootfs (log file is
located at /home/davidlee/download/eldk55_build/build/work/generic_armv7a-linux-gnueabi/core-image-lsb-sdk/1.0-r0/temp/log.do_rootfs.7357)
NOTE: recipe core-image-lsb-sdk-1.0-r0: task do_rootfs: Failed
ERROR: Task 7 (/home/davidlee/download/eldk_git/git/eldk/meta/recipes-extended/images/core-image-lsb-sdk.bb, do_rootfs) failed with exit code '1'
NOTE: Tasks Summary: Attempted 6864 tasks of which 532
didn't need to be rerun and 1 failed.
Summary: 1 task failed:
/home/davidlee/download/eldk_git/git/eldk/meta/recipes-extended/images/core-image-lsb-sdk.bb, do_rootfs
Summary: There were 3 WARNING messages shown.
Summary: There was 1 ERROR message shown, returning a non-zero exit code.
Thu Feb 27 19:19:48 KST 2014 # work/armv7a-linux-gnueabi/eglibc/2.18-r0/temp/run.do_configure #!/bin/sh # Emit a useful diagnostic if something fails: bb_exit_handler() { ret=$? case $ret in 0) ;; *) case $BASH_VERSION in "") echo "WARNING: exit code $ret from a shell command.";; *) echo "WARNING: ${BASH_SOURCE[0]}:${BASH_LINENO[0]} exit $ret from "$BASH_COMMAND"";; esac exit $ret esac } trap 'bb_exit_handler' 0 set -e export localstatedir="/var" export prefix="/usr" export LD="arm-linux-gnueabi-ld --sysroot=/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a-tcbootstrap" export STRINGS="arm-linux-gnueabi-strings" export RANLIB="arm-linux-gnueabi-ranlib" export CXX="arm-linux-gnueabi-g++ -march=armv7-a -mthumb-interwork --sysroot=/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a-tcbootstrap" export lt_cv_sys_lib_dlsearch_path_spec="/usr/lib /lib" export sysconfdir="/etc" export TARGET_LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed" export CPP="arm-linux-gnueabi-gcc -E --sysroot=/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a-tcbootstrap -march=armv7-a
-mthumb-interwork" export CONFIG_SITE="/home/davidlee/download/eldk_git/git/eldk/meta/site/endian-little /home/davidlee/download/eldk_git/git/eldk/meta/site/arm-common
/home/davidlee/download/eldk_git/git/eldk/meta/site/common-linux /home/davidlee/downlo ad/eldk_git/git/eldk/meta/site/common-glibc /home/davidlee/download/eldk_git/git/eldk/meta/site/arm-linux /home/davidlee/download/eldk_git/git/eldk/meta/site/common" export LOGNAME="davidlee" export CXXFLAGS_FOR_BUILD="-I/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/include -O2 -pipe -fpermissive" export sharedstatedir="/com" export PSEUDO_UNLOAD="1" export datadir="/usr/share" export bindir="/usr/bin" export mandir="/usr/share/man" export CPPFLAGS_FOR_BUILD="-I/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/include" export systemd_unitdir="/lib/systemd" export PATCH_GET="0" export LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed" export MAKE="make" export OBJCOPY="arm-linux-gnueabi-objcopy" export infodir="/usr/share/info" export servicedir="/srv" export PKG_CONFIG_PATH="/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a//usr/lib/pkgconfig:/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a/usr/share/pkgconfig" export LD_FOR_BUILD="ld" export AS="arm-linux-gnueabi-as" export base_libdir="/lib" export PATH="/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/bin/armv7a-linux-gnueabi.gcc-cross-initial:/home/davidlee/download/eldk_git/git/eldk/scripts:/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/bin/armv7a-linux-gn ueabi:/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a/usr/bin/crossscripts:/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/sbin:/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/bin:/opt/eldk-5.5/armv7a-softfloat/sys roots/i686-linux/sbin:/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux//bin:/home/davidlee/bin:/home/davidlee/download/eldk_git/git/eldk/scripts:/home/davidlee/download/eldk_git/git/eldk/bitbake/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/c cache:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/libexec/git-core:/usr/X11R6/bin:/usr/X11R6/pbmplus" export BUILD_AS="as" export libdir="/usr/lib" export BUILD_CC="gcc" export STRIP="arm-linux-gnueabi-strip" export BUILD_CXX="g++" export BUILD_LDFLAGS="-L/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/lib -L/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/lib
-Wl,-rpath-link,/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/lib -Wl,-rpath-link,/opt /eldk-5.5/armv7a-softfloat/sysroots/i686-linux/lib -Wl,-rpath,/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/lib -Wl,-rpath,/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/lib
-Wl,-O1" export BUILD_CCLD="gcc" export CFLAGS_FOR_BUILD="-I/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/include -O2 -pipe" export CC="arm-linux-gnueabi-gcc -march=armv7-a -mthumb-interwork --sysroot=/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a-tcbootstrap" export CPPFLAGS="-I/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a/usr/include" export LC_ALL="C" export PKG_CONFIG_DIR="/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a//usr/lib/pkgconfig" export base_bindir="/bin" export PKG_CONFIG_LIBDIR="/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a//usr/lib/pkgconfig" export sbindir="/usr/sbin" export CFLAGS="-I/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a/usr/include -O2 -pipe -g -feliminate-unused-debug-types" export PKG_CONFIG_DISABLE_UNINSTALLED="yes" export PKG_CONFIG_SYSROOT_DIR="/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a" export AR="arm-linux-gnueabi-ar" export LDFLAGS_FOR_BUILD="-L/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/lib -L/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/lib
-Wl,-rpath-link,/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/lib -Wl,-rpath-link, /opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/lib -Wl,-rpath,/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/lib
-Wl,-rpath,/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/lib -Wl,-O1" export BUILD_CPP="cpp" export TERM="xterm-256color" export CCACHE_DISABLE="1" export HOME="/home/davidlee" export CXXFLAGS="-I/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a/usr/include -O2 -pipe -g -feliminate-unused-debug-types
-fpermissive -fvisibility-inlines-hidden" unset MACHINE export BUILD_STRIP="strip" export libexecdir="/usr/lib/eglibc" export TARGET_CXXFLAGS="-I/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a/usr/include -O2 -pipe -g -feliminate-unused-debug-types
-fpermissive" export includedir="/usr/include" export BUILD_LD="ld" export oldincludedir="/usr/include" export CCLD="arm-linux-gnueabi-gcc -march=armv7-a -mthumb-interwork --sysroot=/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a-tcbootstrap" export BUILD_RANLIB="ranlib" export BUILD_NM="nm" export BUILD_AR="ar" export libc_cv_slibdir="/lib" export PSEUDO_DISABLED="1" export BUILD_F77="g77" export CXX_FOR_BUILD="g++" export F77="arm-linux-gnueabi-g77 -march=armv7-a -mthumb-interwork --sysroot=/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a-tcbootstrap" unset TARGET_ARCH export CCACHE_DIR="/home/davidlee" export CC_FOR_BUILD="gcc" export base_sbindir="/sbin" export USER="davidlee" export BUILD_CPPFLAGS="-I/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/include" export CPP_FOR_BUILD="cpp" export TARGET_CPPFLAGS="-I/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a/usr/include" export exec_prefix="/usr" export BUILD_CFLAGS="-I/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/include -O2 -pipe" export TARGET_CFLAGS="-I/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a/usr/include -O2 -pipe -g -feliminate-unused-debug-types" export NM="arm-linux-gnueabi-nm" export OBJDUMP="arm-linux-gnueabi-objdump" unset DISTRO export BUILD_CXXFLAGS="-I/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/include -O2 -pipe -fpermissive" export nonarch_base_libdir="/lib" export docdir="/usr/share/doc" export SHELL="/bin/bash" do_configure() { sed -e "s#@BASH@#/bin/sh#" -i /home/davidlee/download/eldk55_build/build/work/armv7a-linux-gnueabi/eglibc/2.18-r0/eglibc-2.18/libc/elf/ldd.bash.in echo 'OPTION_EGLIBC_ADVANCED_INET6=y OPTION_EGLIBC_BACKTRACE=y OPTION_EGLIBC_BIG_MACROS=y OPTION_EGLIBC_BSD=y OPTION_EGLIBC_CXX_TESTS=y OPTION_EGLIBC_CATGETS=y OPTION_EGLIBC_CHARSETS=y OPTION_EGLIBC_CRYPT=y OPTION_EGLIBC_CRYPT_UFC=y OPTION_EGLIBC_DB_ALIASES=y OPTION_EGLIBC_ENVZ=y OPTION_EGLIBC_FCVT=y OPTION_EGLIBC_FMTMSG=y OPTION_EGLIBC_FSTAB=y OPTION_EGLIBC_FTRAVERSE=y OPTION_EGLIBC_GETLOGIN=y OPTION_EGLIBC_IDN=y OPTION_EGLIBC_INET=y OPTION_EGLIBC_INET_ANL=y OPTION_EGLIBC_LIBM=y OPTION_EGLIBC_LOCALES=y OPTION_EGLIBC_LOCALE_CODE=y OPTION_EGLIBC_MEMUSAGE=y OPTION_EGLIBC_NIS=y OPTION_EGLIBC_NSSWITCH=y OPTION_EGLIBC_RCMD=y OPTION_EGLIBC_RTLD_DEBUG=y OPTION_EGLIBC_SPAWN=y OPTION_EGLIBC_STREAMS=y OPTION_EGLIBC_SUNRPC=y OPTION_EGLIBC_UTMP=y OPTION_EGLIBC_UTMPX=y OPTION_EGLIBC_WORDEXP=y OPTION_POSIX_C_LANG_WIDE_CHAR=y OPTION_POSIX_REGEXP=y OPTION_POSIX_REGEXP_GLIBC=y OPTION_POSIX_WIDE_CHAR_DEVICE_IO=y' > /home/davidlee/download/eldk55_build/build/work/armv7a-linux-gnueabi/eglibc/2.18-r0/build-arm-linux-gnueabi/option-groups.config # override this function to avoid the autoconf/automake/aclocal/autoheader # calls for now # don't pass CPPFLAGS into configure, since it upsets the kernel-headers # version check and doesn't really help with anything if [ -z "`which rpcgen`" ]; then echo "rpcgen not found. Install glibc-devel." exit 1 fi (cd /home/davidlee/download/eldk55_build/build/work/armv7a-linux-gnueabi/eglibc/2.18-r0/eglibc-2.18/libc && gnu-configize)
|| die "failure in running gnu-configize" find /home/davidlee/download/eldk55_build/build/work/armv7a-linux-gnueabi/eglibc/2.18-r0/eglibc-2.18/libc -name "configure"
| xargs touch CPPFLAGS="" oe_runconf oe_runmake config # Remove quotation marks from OPTION_EGLIBC_NSSWITCH_FIXED_*. This will # avoid install error. sed -i 's/^OPTION_EGLIBC_NSSWITCH_FIXED_\(.*\)="\(.*\)"$/OPTION_EGLIBC_NSSWITCH_FIXED_\1=\2/' option-groups.config } die() { bbfatal "$*" } oe_runmake() { bbnote make PARALLELMFLAGS="-j 8" SHELL=/bin/bash "$@" make PARALLELMFLAGS="-j 8" SHELL=/bin/bash "$@" || die "oe_runmake failed" } oe_runconf() { cfgscript="/home/davidlee/download/eldk55_build/build/work/armv7a-linux-gnueabi/eglibc/2.18-r0/eglibc-2.18/libc/configure" if [ -x "$cfgscript" ] ; then bbnote "Running $cfgscript --build=i686-linux --host=arm-linux-gnueabi --target=arm-linux-gnueabi
--prefix=/usr --exec_prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --libexecdir=/usr/lib/eglibc --datadir=/usr/share --sysconfdir=/etc
--sharedstatedir=/com --localstatedir=/var --libdir= /usr/lib --includedir=/usr/include --oldincludedir=/usr/include --infodir=/usr/share/info
--mandir=/usr/share/man --disable-silent-rules --disable -dependency-tracking --with-libtool-sysroot=/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a --enable-kernel=2.6.16
--without-cvs --disable-profile --disable-debug --without-gd --enable-clocale=gnu --enable-add-ons --with-headers=/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a/usr/include
--without-selinux --enable-obsolete-rpc --with-kconfig=/opt/eldk-5.5/armv7a-softfloat/sysroots/i686-linux/usr/bin --without-fp
$@" set +e ac_cv_path_KSH=/bin/bash ac_cv_path_BASH_SHELL=/bin/bash libc_cv_localedir=/usr/lib/locale
libc_cv_ssp=no $cfgscript --build=i686-li nux --host=arm-linux-gnueabi --target=arm-linux-gnueabi --prefix=/usr
--exec_prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --libexec dir=/usr/lib/eglibc --datadir=/usr/share --sysconfdir=/etc --sharedstatedir=/com
--localstatedir=/var --libdir=/usr/lib --includedir=/usr/include --oldincludedir=/usr/include --infodir=/usr/share/info --mandir=/usr/share/man --disable-silent-rules
--disable-dependency-tracking --with-libtool-sysroot=/o pt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a --enable-kernel=2.6.16 --without-cvs --disable-profile
--disable-debug --without-gd --enable-clocale=gnu --enable-add- ons --with-headers=/opt/eldk-5.5/armv7a-softfloat/sysroots/generic-armv7a/usr/include --without-selinux
--enable-obsolete-rpc --with-kconfig=/opt/eldk-5.5/armv7a-softfloat /sysroots/i686-linux/usr/bin
--without-fp "$@" if [ "$?" != "0" ]; then echo "Configure failed. The contents of all config.log files follows to aid debugging" find /home/davidlee/download/eldk55_build/build/work/armv7a-linux-gnueabi/eglibc/2.18-r0/eglibc-2.18/libc
-name config.log -print -exec cat {} \; bbfatal "oe_runconf failed" fi set -e else bbfatal "no configure script found at $cfgscript" fi } bbfatal() { echo "ERROR: $*" exit 1 } bbnote() { echo "NOTE: $*" } cd '/home/davidlee/download/eldk55_build/build/work/armv7a-linux-gnueabi/eglibc/2.18-r0/build-arm-linux-gnueabi' do_configure # cleanup ret=$? trap '' 0 exit $? Best regards, David lee |